from fastapi import APIRouter

from .crud import db
from .views import castle_generic_router
from .views_api import castle_api_router

castle_ext: APIRouter = APIRouter(prefix="/castle", tags=["Castle"])
castle_ext.include_router(castle_generic_router)
castle_ext.include_router(castle_api_router)

castle_static_files = [
    {
        "path": "/castle/static",
        "name": "castle_static",
    }
]

__all__ = ["castle_ext", "castle_static_files", "db"]
